image: registry.gitlab.com/pages/hugo/hugo_extended:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  before_script:
  - apk add --update --no-cache git
  script:
  - hugo --minify
  except:
  - master

pages:
  before_script:
  - apk add --update --no-cache git
  script:
  - hugo --minify
  artifacts:
    paths:
    - public
  only:
  - master
